Subject: Re: more info on execvp problem
From: Pavel Tsekov <[email-masked]>
To: [email-masked]
Date: Tue, 23 Oct 2001 09:09:12 +0200

I see he things cleared now - to make the things clearer
I just want to point out that the example path I gave
the first time was based on the path of the user who first
experienced the problem - James Lee... He had the "c" three
times in his path :) So If you followed the whole discussion,
in the first mail - i presented a testcase and a path with 
which to experience the problem at the end of the mail. It
contained 3 "c"s in it .. and obviously it was the output 
of cygcheck :)

However I'm glad the problem is settled :)

Peter Buckley wrote:
> 
> This example of
> 
> PATH=chuck:/bin...
> 
> and
> 
> PATH=c:/bin...
> 
> is different from
> 
> > > > c:/jdk1.3.1/bin:/usr/local/bin:...:c:/usr/local/emacs/bin
> 
> that Pavel gave.
> 
> In Pavel's example, (which must be a typo) there would be two
> references to the directory "c". Maybe he wants two separate
> references to the same directory in the path, but I don't think
> that will accomplish anything, and it clouds the real problem,
> which I think Don has stated well here.
> 
> HTH,
> Peter
> 
> Don Sharp wrote:
> >
> > Charles Wilson wrote:
> > >
> > > Pavel Tsekov wrote:
> > >
> > > > I was sure there will be a response like this - in short since as we
> > > > both
> > > > agree is posix internally (if noone messed with it) - you get this as
> > > > result
> > > > of getenv("PATH"):
> > > >
> > > > c:/jdk1.3.1/bin:/usr/local/bin:...:c:/usr/local/emacs/bin
> > >
> > > Listen carefully: as Chris has already pointed out, that is NOT a posix
> > > path.  THIS is a posix path:
> > >
> > > /cygdrive/c/jdk1.3.1/bin:/usr/local/bin:...:/cygdrive/c/usr/local/emacs/bin
> > >
> > > Or, if you have mounted C:\ as /c (like I do on my boxes):
> > >
> > > /c/jdk1.3.3/bin:/usr/local/bin:...:/c/usr/local/emacs/bin
> > >
> > > See?  There are NO ':' characters EXCEPT the path delimiters in a POSIX
> > > PATH variable.
> > >
> > > --Chuck
> > >
> > I think it is you that is missing the point. It is perfectly legal to
> > have a path like
> >
> > PATH=chuck:/bin....
> >
> > but if the directory happens to be called "c" rather than "chuck" then
> > we have the problem as the PATH would now be
> > PATH=c:/bin....
> >
> > We either say you can't do that or deal with it.
> >
> > Cheers
> >
> > Don Sharp
> >
> > P.S. Sorry for the personally addressed reply Chuck.
> >
> > --
> > Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> > Bug reporting:         http://cygwin.com/bugs.html
> > Documentation:         http://cygwin.com/docs.html
> > FAQ:                   http://cygwin.com/faq/
> 
> --
> Your mouse has moved.
> Windows NT must be restarted for the change to take effect.
> Reboot now?  [OK]
> 
> --
> 
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/